Subject: Re: [PATCH 1/2] Documentation: new upstream rebase recovery section in git-rebase

From: Marcus Griep <[email-masked]>
Date: Thu, 11 Sep 2008 21:15:16 -0400

Thomas Rast wrote:
> +Now suppose the 'subsystem' maintainer decides to clean up his history
> +with an interactive rebase.  He edits commits A and D (marked with a
> +`*`), decides to remove D entirely and moves B to the front.  This
> +results in

Minor correction:
-+with an interactive rebase.  He edits commits A and D (marked with a
++with an interactive rebase.  He edits commits A and C (marked with a

> +To fix this, you have to manually transplant your own part of the
> +history to the new branch head.  Looking at `git log`, you should be
> +able to determine that three commits on 'topic' are yours.  Again
> +assuming you are already on 'topic', you can do
> +------------
> +    git rebase --onto subsystem HEAD~3
> +------------
> +to put things right.  Of course, this again ripples onwards:
> +'everyone' downstream from 'subsystem' will have to 'manually' rebase
> +all their work!

I like this documentation because it provides another clear case of how
the '--onto' option is used.

-- 
Marcus Griep
GPG Key ID: 0x5E968152
——
http://www.boohaunt.net
את.ψο´